---
title: "Withdraw from card"
description: "Withdraw funds from a customer's card balance."
protocol: rest
method: POST
endpoint: "/v1/cards/withdraw"
baseUrl: "https://api.gravv.xyz"
group: "Cards"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Withdraw from card

<Endpoint method="POST" path="/v1/cards/withdraw" />

Withdraw funds from a customer's card balance.

## Headers

<ParamField name="Idempotency-Key" header="Idempotency-Key" type="string" required>
  Required for POST requests. Reuse the key only when retrying the same operation with an identical payload.
</ParamField>

## Request Body

<ParamField name="card_id" body="card_id" type="string" required>
  ID of the card to withdraw from
</ParamField>

<ParamField name="amount" body="amount" type="number" required>
  Amount to withdraw from the card
</ParamField>

### Request Examples

<RequestExample>

```json title="Request"
{
  "card_id": "9e3cccad-e9ae-47a0-81ee-063af0159310",
  "amount": 1
}
```

</RequestExample>

## Responses

| Status | Description |
| --- | --- |
| `200` | Withdrawal successful |

### 200 response

<ResponseField name="data" type="object">

  <Expandable title="properties">
    <ResponseField name="tx_hash" type="string">
      Blockchain transaction hash for the withdrawal
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="null">
</ResponseField>

<ResponseExample>

```json title="Response"
{
  "data": {
    "tx_hash": "0x2e5d0af9189b4b4c23bc64b96295e730609ec91e50e452a5da0a4af4bfe5c192"
  },
  "error": null
}
```

</ResponseExample>

## Authorization

- **ApiKeyAuth**
